<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>
	Online-Filmdatenbank
  </Name>
  <HomePage>
	www.ofdb.de
  </HomePage>
  <Language>
	German
  </Language>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>true</SupportsCastAndDirector>
  <SupportsCover>
	true
  </SupportsCover>
  <SupportsPlot>
	true
  </SupportsPlot>
  <SupportsRating>
	true
  </SupportsRating>
  <!-- List of urls to search for movie -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.ofdb.de/view.php?page=suchergebnis&amp;SText={0}&amp;Kat=All</Url>
      <RegExp>&lt;a\shref="(?&lt;Link&gt;film/[^"]*)"\s.*?,true[)]"&gt;(?&lt;Title&gt;.*?)&lt;fo.*?/(?&lt;Original&gt;.*?)&lt;/</RegExp>
      <MoviePlotLink>
        <string>http://www.ofdb.de/{0}</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage />
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>15</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>size="3"&gt;&lt;b&gt;(?&lt;1&gt;.*?)&lt;/b&gt;</RegExp_Title>
  <RegExp_OriginalTitle>Originaltitel:.*?[ \t\r\n\v\f]+.*?[ \t\r\n\v\f]+.*?&lt;b&gt;(?&lt;1&gt;.*?)&lt;/b&gt;</RegExp_OriginalTitle>
  <RegExp_Year>Kat=Jahr&amp;Text=(?&lt;1&gt;.*?)"</RegExp_Year>
  <RegExp_Runtime>Laufzeit:.*\s(?&lt;1&gt;\d+)\sM</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>false</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>false</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>false</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>Inhalt:&lt;/b&gt;(?&lt;1&gt;.*)&lt;a\shref</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <RegExp_Genres>href="view.php\?page=genre\&amp;Genre=[^"]*"&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Genres>
  <RegExp_Directors>egie[:](?:[\s\t\n\r\v\f]|.)*?font\sface.*?&gt;(?&lt;1&gt;.*?)&lt;/*font</RegExp_Directors>
  <Directors_Separator>&lt;br&gt;</Directors_Separator>
  <RegExp_Actors>steller[:](?:[\s\t\n\r\v\f]|.)*?font\sface.*?&gt;(?&lt;1&gt;.*?)&lt;/*font</RegExp_Actors>
  <Actors_Separator>&lt;br&gt;</Actors_Separator>
  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront>&lt;img\ssrc="(?&lt;1&gt;http://img.ofdb.de/film/.*?)"</RegExp_CoverLinkFront>
  <RegExp_CoverUrl></RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl></RegExp_HowGotoCoverUrl>
  <RegExp_CoverLinkFront2></RegExp_CoverLinkFront2>
  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <RegExp_Rating>
    <string>Note:\s(?&lt;1&gt;.*?)\s\&amp;</string>
  </RegExp_Rating>
  <!-- Encoding used to send Title, and to read HTML pages -->
  <RatingRate>1</RatingRate>
  <TitleEncoding>utf-8</TitleEncoding>
  <ContentEncoding>utf-8</ContentEncoding>
</MyMPConfig>